package com.ematou.wxbase.controller;

import com.ematou.wxbase.common.web.R;
import com.ematou.wxbase.service.EidService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * E证通业务 Controller
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/18 16:58
 */
@RestController
@RequestMapping("/eid")
public class EidController {

    @Autowired
    private EidService eidService;

    @GetMapping ("/getEidToken")
    public R getEidToken() {
        return eidService.getEidToken();
    }

    @GetMapping("/getEidResult")
    public R getEidResult() {
        return eidService.getEidResult();
    }

}
